#ifndef BSPLINE_H
#define BSPLINE_H

#include "opengl_stuff.h"
#include <vector>


class BSpline
{
public:
    BSpline(int k = 2, double step = 0.1, int np1 = 6);

private:
    std::vector<double> _vecteurNodal;
    std::vector<glm::vec3> _pointsDeControle;
    int _k;
    int _np1;
    double _step;

    std::vector<GLfloat> _vertices;

    void computeSpline();
    std::vector<GLfloat> floraison(double u, int dec, int k);
};

#endif // BSPLINE_H
